const axios = require('axios')

const url = "https://api2.sendcloud.net/api/mail/send"
const API_USER = ''
const API_KEY = ''

// 请求的配置
let config = {
    timeout: 3 * 60 * 1000, // 设置超时时间 3分钟
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8'
    }
}
// 请求的参数
let params = {
    "apiUser": API_USER,
    "apiKey": API_KEY,
    "to": "xxx1@qq.com",
    "from": "sendcloud@sendcloud.org",
    "fromName": "SendCloud",
    "subject": "SendCloud Node.js common",
    "html": "Welcome to SendCloud"
}

// 发送请求
axios.post(url, params, config).then((resp) => {
    console.log(resp.data);
}).catch((err) => {
    console.log(err)
})
